
Enduro/X Core - Bug #338

Feature # 328 (Closed): Enduro/X Version 6.0 master task

Bboolev and Bfloatev does not validate the UBF buffer uppon entry

08/27/2018 11:44 AM - Madars

Status: Closed Start date: 08/27/2018

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Thus during the operations of the function logs might contain something like this

U:UBF :5:d190fd96:16610:7f6db8f6f840:000:20180827:144050718:_funcs.c:1633:eval: id: 06 type: [AND   (1) ] sub-type [&&(17)]

U:UBF :5:d190fd96:16610:7f6db8f6f840:000:20180827:144050718:_funcs.c:1633:eval: id: 02 type: [EQOP  (3) ] sub-type [==(1) ]

U:UBF :5:d190fd96:16610:7f6db8f6f840:000:20180827:144050718:_funcs.c:1633:eval: id: 00 type: [FLD   (8) ] sub-type [DF(0) ]

U:UBF :5:d190fd96:16610:7f6db8f6f840:000:20180827:144050718:_funcs.c:1287:Entering read_unary_fb() fldnm [T_STRING_FLD]

 bfldid=167773221 occ=0

U:UBF :3:d190fd96:16610:7f6db8f6f840:000:20180827:144050718:ferror.c:0217:ndrx_Bset_error_msg: 3 (Buffer not bisubf) [Invalid

 FB magic]

U:UBF :3:d190fd96:16610:7f6db8f6f840:000:20180827:144050718:bf/ubf.c:0834:_Bpres: arguments fail!

U:UBF :5:d190fd96:16610:7f6db8f6f840:000:20180827:144050718:_funcs.c:1302:Field [T_STRING_FLD] not present in fb

 

and no errors are returned.

History

#1 - 09/01/2018 07:46 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 09/01/2018 07:46 AM - Madars

- Status changed from Resolved to Closed
